"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.brief = exports.description = void 0;
const tslib_1 = require("tslib");
const Path = tslib_1.__importStar(require("path"));
const clime_1 = require("clime");
const tiva_1 = require("tiva");
const shared_1 = require("../shared");
exports.description = 'Check scripts definition';
exports.brief = 'check scripts definition';
let default_1 = class default_1 extends clime_1.Command {
    async execute(path) {
        shared_1.logger.info('Checking scripts definition');
        let tiva = new tiva_1.Tiva({
            project: Path.join(__dirname, '../../../src/program'),
        });
        if (!path.exists()) {
            shared_1.logger.error(`The file "${path.fullName}" not found`);
            process.exit(1);
        }
        let content = await path.json();
        try {
            await tiva.validate({
                module: './types',
                type: 'ScriptsDefinition',
            }, content);
        }
        catch (error) {
            if (error.diagnostics) {
                shared_1.logger.error(error.diagnostics);
                process.exit(1);
            }
            throw error;
        }
        shared_1.logger.info('The content of the scripts definition is correct.');
        process.exit(0);
    }
};
tslib_1.__decorate([
    clime_1.metadata,
    tslib_1.__param(0, clime_1.param({
        description: 'The file path fo the scripts definition.',
        required: true,
    })),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [clime_1.Castable.File]),
    tslib_1.__metadata("design:returntype", Promise)
], default_1.prototype, "execute", null);
default_1 = tslib_1.__decorate([
    clime_1.command()
], default_1);
exports.default = default_1;
//# sourceMappingURL=check-definition.js.map