"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.brief = exports.description = void 0;
const tslib_1 = require("tslib");
const bcrypt_1 = tslib_1.__importDefault(require("bcrypt"));
const clime_1 = require("clime");
const shared_1 = require("../shared");
const PASSWORD_SALT_ROUNDS = 10;
exports.description = 'Generate and output a hash used for script password.';
exports.brief = 'generate hash for password';
let default_1 = class default_1 extends clime_1.Command {
    async execute(password) {
        let passwordHash = await bcrypt_1.default.hash(password, PASSWORD_SALT_ROUNDS);
        shared_1.logger.info(`The generated hash is: ${passwordHash}`);
        shared_1.logger.info('You can copy it to scripts definition as field "passwordHash", then it needs a password when running a script.');
    }
};
tslib_1.__decorate([
    clime_1.metadata,
    tslib_1.__param(0, clime_1.param({
        description: 'The password to generate a hash.',
        required: true,
    })),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [String]),
    tslib_1.__metadata("design:returntype", Promise)
], default_1.prototype, "execute", null);
default_1 = tslib_1.__decorate([
    clime_1.command()
], default_1);
exports.default = default_1;
//# sourceMappingURL=generate-hash.js.map